## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CrystalSpace::SoftShader::iDefaultScanlineRenderer Struct Reference

Default software scanline renderer. More...

`#include <csplugincommon/softshader/scanline.h>`

Inheritance diagram for CrystalSpace::SoftShader::iDefaultScanlineRenderer:

[legend]
List of all members.

## Public Member Functions

virtual void | SetFlatColor (const csVector4 &v)=0
| Set the flat color used in lieu a texture when none is given.
virtual void | SetShift (int rgbShift, int alphaShift)=0
| Set shift amounts for RGB and Alpha parts of the final pixel color.

## Detailed Description

Default software scanline renderer.

Definition at line 112 of file scanline.h.

## Member Function Documentation

virtual void CrystalSpace::SoftShader::iDefaultScanlineRenderer::SetFlatColor | ( | const csVector4 & | v | ) | `[pure virtual]`

| Set the flat color used in lieu a texture when none is given.

virtual void CrystalSpace::SoftShader::iDefaultScanlineRenderer::SetShift | ( | int | rgbShift,
|  | int | alphaShift
| ) | `[pure virtual]`

| Set shift amounts for RGB and Alpha parts of the final pixel color. Positive shifts left, negative right. 0 means no shift. Can be used to realize a multiplication (with limited factors) of the pixel color components.

The documentation for this struct was generated from the following file:

- csplugincommon/softshader/scanline.h